# Token

Operations related to authentication token generation

## POST /{account\_id}/token

> Generate OAuth2 token using client credentials

```json
{"openapi":"3.1.0","info":{"title":"auth-server","version":"1.0"},"tags":[{"name":"Token","description":"Operations related to authentication token generation"}],"servers":[{"url":"https://auth.flagship.io"}],"security":[],"paths":{"/{account_id}/token":{"post":{"summary":"Generate OAuth2 token using client credentials","description":"","operationId":"generate-a-token","parameters":[{"name":"expires_in","in":"query","description":"Expiration time in seconds (0 for non expiration time)","schema":{"type":"integer","format":"int32","default":0}},{"name":"account_id","in":"path","description":"Account ID - Can be found in settings > account on the platform","schema":{"type":"string"},"required":true}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"grant_type":{"type":"string","description":"OAuth2 authorization type","default":"client_credentials"},"scope":{"type":"string","description":"Needed scope (space separated) or * for all scope of the parent client.","default":"*"},"client_id":{"type":"string","description":"Client ID"},"client_secret":{"type":"string","description":"Client Secret"}}}}}},"responses":{"200":{"description":"200","content":{"application/json":{"schema":{"type":"object","properties":{"access_token":{"type":"string"},"expires_in":{"type":"integer","default":0},"refresh_token":{"type":"string"},"scope":{"type":"string"},"token_type":{"type":"string"}}}}}},"400":{"description":"400","content":{"application/json":{"schema":{"type":"object","properties":{}}}}}},"deprecated":false,"tags":["Token"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.abtasty.com/server-side/remote-control-api/token.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
